#include <SDL.h>
#include <stdbool.h>

int main(int argc, char ** argv) {

	SDL_Window * ventana;
	SDL_Renderer * render;
	SDL_Event evento;
	bool quit = false;
		
	SDL_Rect fondo = { 0, 0, 640, 480 }; // un rectangulo que ocupará toda la ventana.
	SDL_Rect pixel = { 0, 0, 1, 1 }; // posicionado en 0,0 con ancho 1 y alto 1, es decir, un pixel arriba a la izquierda.

	/* // Otra forma que nos permite manipular esas variables posteriormente.
	SDL_Rect pixel; 
	pixel.x = 0; // posición x
	pixel.y = 0; // posición y
	pixel.w = 1; // ancho
	pixel.h = 1; // alto
	*/
	
	SDL_Init(SDL_INIT_VIDEO);
	ventana = SDL_CreateWindow("Ejemplo de dibujar pixel en pantalla",SDL_WINDOWPOS_UNDEFINED,SDL_WINDOWPOS_UNDEFINED,640,480,SDL_WINDOW_OPENGL);

	if (ventana == NULL) { printf("No se pudo crear la ventana: %s\n", SDL_GetError());	return 1; }
	
	render = SDL_CreateRenderer(ventana, -1, 0);
	
	SDL_SetRenderDrawColor(render, 1, 1, 1, 255); // RGB será negro. El cuarto valor es alpha. 255 es opaco.
	SDL_RenderFillRect(render, &fondo);
	SDL_RenderDrawPoint(render, 0, 0);
    SDL_RenderPresent(render); // presentamos el render del fondo.
	SDL_RenderClear(render); // limpiamos

	SDL_SetRenderDrawColor(render, 255, 0, 0, 255); // RGB será rojo. El cuarto valor es alpha. 255 es opaco.
	SDL_RenderFillRect(render, &pixel);
    SDL_RenderDrawPoint(render, 20, 20); // lo posicionamos arriba a la izquierda en x=20 e y=20
    SDL_RenderPresent(render); // presentamos el render del pixel rojo
    SDL_RenderClear(render); // limpiamos
	

	while (!quit) {
		SDL_WaitEvent(&evento);

		switch (evento.type) {
			case SDL_QUIT:
				quit = true;
				break;
		}


	}

}
